[Prev: ICONS] | [Resources][TOC] | [Next: IDXFNAME]

# ICONURLPREFIX

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_ICONURLPREFIX=`url

Element

  `<ICONURLPREFIX>`
  url
  `</ICONURLPREFIX>`

Command-line Option

  `-iconurlprefix` url

## Description

ICONURLPREFIX defines the URL string to prepend to icon URLs defined by the ICONS resource.

## Default Setting

Nil.

## Resource Variables

N/A

## Examples

ICONURLPREFIX helps in maintain relative-based archives that use icons. For example, we have a file called `icons.mrc` which has the following ICONS setting:

    <Icons>
    application/*;[20x22]generic.gif
    application/postscript;[20x22]ps.gif
    application/octet-stream;[20x22]binary.gif
    application/pdf;[20x22]pdf.gif
    application/zip;[20x22]compressed.gif
    audio/*;[20x22]sound1.gif
    chemical/*;[20x22]sphere2.gif
    image/*;[20x22]image2.gif
    message/external-body;[20x22]link.gif
    multipart/*;[20x22]layout.gif
    text/*;[20x22]text.gif
    video/*;[20x22]movie.gif
    */*;[20x22]generic.gif
    </Icons>

All the icon URLs are specified by their basename. Now, for the various archives, we specify `icons.mrc`, but then define ICONURLPREFIX to give the relative location of the archive to the icon files:

    prompt> mhonarc -rcfile icons.mrc -iconurlprefix ../icons/ ...

And another archive may have:

    prompt> mhonarc -rcfile icons.mrc -iconurlprefix ../../icons/ ...

The use of ICONURLPREFIX avoids the need to redefine the ICONS resource for each archive and helps support archive relocatability. For example, if the archives were to be copied to a new server under a different URL root, we avoid regeneration of the archives since the URLs used for icons is relative and not absolute.

## Version

2.6.0

## See Also

ICONS

[Prev: ICONS] | [Resources][TOC] | [Next: IDXFNAME]